Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Friends | List of all members
XMLInitializer Class Reference

Utilities that must be implemented in a class-specific way. More...

## Static Protected Member Functions

Initialization methods
static void | initializeTransService ()
| Perform per-class allocationa and initialization of static data.
static void | initializeStaticData ()
static void | terminateStaticData ()
| Perform per-class release of static data.
static void | terminateTransService ()

## Friends

class | XMLPlatformUtils

## Detailed Description

Utilities that must be implemented in a class-specific way.

This class contains methods that must be implemented by different classes that have static data (class or local) that they need to initialize when XMLPlatformUtils::Initialize is invoked.

## Member Function Documentation

static void XMLInitializer::initializeStaticData | ( |  | ) |

staticprotected

static void XMLInitializer::initializeTransService | ( |  | ) |

staticprotected

Perform per-class allocationa and initialization of static data.

These functions should be called from XMLPlatformUtils::Initialize.

static void XMLInitializer::terminateStaticData | ( |  | ) |

staticprotected

Perform per-class release of static data.

These functions should be called from XMLPlatformUtils::Terminate.

static void XMLInitializer::terminateTransService | ( |  | ) |

staticprotected

## Friends And Related Function Documentation

friend class XMLPlatformUtils

friend

The documentation for this class was generated from the following file:

- XMLInitializer.hpp